## org.apache.mahout.math.hadoop
Class MatrixColumnMeansJob

    java.lang.Object
      org.apache.mahout.math.hadoop.MatrixColumnMeansJob

    public final class MatrixColumnMeansJob

extends Object

MatrixColumnMeansJob is a job for calculating the column-wise mean of a DistributedRowMatrix. This job can be accessed using DistributedRowMatrix.columnMeans()

Nested Class Summary
`static class` `MatrixColumnMeansJob.MatrixColumnMeansMapper` Mapper for calculation of column-wise mean.
`static class` `MatrixColumnMeansJob.MatrixColumnMeansReducer` The reducer adds the partial column-wise sums from each of the mappers to compute the total column-wise sum.

Field Summary
`static String` `VECTOR_CLASS`

Method Summary
`static Vector` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path inputPath, org.apache.hadoop.fs.Path outputVectorTmpPath)`
`static Vector` `run(org.apache.hadoop.conf.Configuration initialConf, org.apache.hadoop.fs.Path inputPath, org.apache.hadoop.fs.Path outputVectorTmpPath, String vectorClass)` Job for calculating column-wise mean of a DistributedRowMatrix

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VECTOR_CLASS

    public static final String VECTOR_CLASS

See Also:
  Constant Field Values

Method Detail

### run

    public static Vector run(org.apache.hadoop.conf.Configuration conf,
                             org.apache.hadoop.fs.Path inputPath,
                             org.apache.hadoop.fs.Path outputVectorTmpPath)
                      throws IOException

  Throws:
    `IOException`

### run

    public static Vector run(org.apache.hadoop.conf.Configuration initialConf,
                             org.apache.hadoop.fs.Path inputPath,
                             org.apache.hadoop.fs.Path outputVectorTmpPath,
                             String vectorClass)
                      throws IOException

  Job for calculating column-wise mean of a DistributedRowMatrix

  Parameters:
    `initialConf` -
    `inputPath` - path to DistributedRowMatrix input
    `outputVectorTmpPath` - path for temporary files created during job
    `vectorClass` - String of desired class for returned vector e.g. DenseVector, RandomAccessSparseVector (may be null for `DenseVector` )
  Returns:
    Vector containing column-wise mean of DistributedRowMatrix
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.